## org.hibernate.internal.jaxb.mapping.orm
Class JaxbManyToMany

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbManyToMany

    public class JaxbManyToMany

extends Object

Field Summary
`protected JaxbAccessType` `access`
`protected JaxbCascadeType` `cascade`
`protected JaxbFetchType` `fetch`
`protected JaxbJoinTable` `joinTable`
`protected JaxbMapKey` `mapKey`
`protected List<JaxbAttributeOverride>` `mapKeyAttributeOverride`
`protected JaxbMapKeyClass` `mapKeyClass`
`protected JaxbEnumType` `mapKeyEnumerated`
`protected List<JaxbMapKeyJoinColumn>` `mapKeyJoinColumn`
`protected JaxbTemporalType` `mapKeyTemporal`
`protected String` `mappedBy`
`protected String` `name`
`protected String` `orderBy`
`protected JaxbOrderColumn` `orderColumn`
`protected String` `targetEntity`

Constructor Summary
`JaxbManyToMany()`

Method Summary
`JaxbAccessType` `getAccess()` Gets the value of the access property.
`JaxbCascadeType` `getCascade()` Gets the value of the cascade property.
`JaxbFetchType` `getFetch()` Gets the value of the fetch property.
`JaxbJoinTable` `getJoinTable()` Gets the value of the joinTable property.
`JaxbMapKey` `getMapKey()` Gets the value of the mapKey property.
`List<JaxbAttributeOverride>` `getMapKeyAttributeOverride()` Gets the value of the mapKeyAttributeOverride property.
`JaxbMapKeyClass` `getMapKeyClass()` Gets the value of the mapKeyClass property.
`JaxbEnumType` `getMapKeyEnumerated()` Gets the value of the mapKeyEnumerated property.
`List<JaxbMapKeyJoinColumn>` `getMapKeyJoinColumn()` Gets the value of the mapKeyJoinColumn property.
`JaxbTemporalType` `getMapKeyTemporal()` Gets the value of the mapKeyTemporal property.
`String` `getMappedBy()` Gets the value of the mappedBy property.
`String` `getName()` Gets the value of the name property.
`String` `getOrderBy()` Gets the value of the orderBy property.
`JaxbOrderColumn` `getOrderColumn()` Gets the value of the orderColumn property.
`String` `getTargetEntity()` Gets the value of the targetEntity property.
`void` `setAccess(JaxbAccessType value)` Sets the value of the access property.
`void` `setCascade(JaxbCascadeType value)` Sets the value of the cascade property.
`void` `setFetch(JaxbFetchType value)` Sets the value of the fetch property.
`void` `setJoinTable(JaxbJoinTable value)` Sets the value of the joinTable property.
`void` `setMapKey(JaxbMapKey value)` Sets the value of the mapKey property.
`void` `setMapKeyClass(JaxbMapKeyClass value)` Sets the value of the mapKeyClass property.
`void` `setMapKeyEnumerated(JaxbEnumType value)` Sets the value of the mapKeyEnumerated property.
`void` `setMapKeyTemporal(JaxbTemporalType value)` Sets the value of the mapKeyTemporal property.
`void` `setMappedBy(String value)` Sets the value of the mappedBy property.
`void` `setName(String value)` Sets the value of the name property.
`void` `setOrderBy(String value)` Sets the value of the orderBy property.
`void` `setOrderColumn(JaxbOrderColumn value)` Sets the value of the orderColumn property.
`void` `setTargetEntity(String value)` Sets the value of the targetEntity property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### orderBy

    protected String orderBy

### orderColumn

    protected JaxbOrderColumn orderColumn

### mapKey

    protected JaxbMapKey mapKey

### mapKeyClass

    protected JaxbMapKeyClass mapKeyClass

### mapKeyTemporal

    protected JaxbTemporalType mapKeyTemporal

### mapKeyEnumerated

    protected JaxbEnumType mapKeyEnumerated

### mapKeyAttributeOverride

    protected List<JaxbAttributeOverride> mapKeyAttributeOverride

### mapKeyJoinColumn

    protected List<JaxbMapKeyJoinColumn> mapKeyJoinColumn

### joinTable

    protected JaxbJoinTable joinTable

### cascade

    protected JaxbCascadeType cascade

### name

    protected String name

### targetEntity

    protected String targetEntity

### fetch

    protected JaxbFetchType fetch

### access

    protected JaxbAccessType access

### mappedBy

    protected String mappedBy

Constructor Detail

### JaxbManyToMany

    public JaxbManyToMany()

Method Detail

### getOrderBy

    public String getOrderBy()

  Gets the value of the orderBy property.

  Returns:
    possible object is `String`

### setOrderBy

    public void setOrderBy(String value)

  Sets the value of the orderBy property.

  Parameters:
    `value` - allowed object is `String`

### getOrderColumn

    public JaxbOrderColumn getOrderColumn()

  Gets the value of the orderColumn property.

  Returns:
    possible object is `JaxbOrderColumn`

### setOrderColumn

    public void setOrderColumn(JaxbOrderColumn value)

  Sets the value of the orderColumn property.

  Parameters:
    `value` - allowed object is `JaxbOrderColumn`

### getMapKey

    public JaxbMapKey getMapKey()

  Gets the value of the mapKey property.

  Returns:
    possible object is `JaxbMapKey`

### setMapKey

    public void setMapKey(JaxbMapKey value)

  Sets the value of the mapKey property.

  Parameters:
    `value` - allowed object is `JaxbMapKey`

### getMapKeyClass

    public JaxbMapKeyClass getMapKeyClass()

  Gets the value of the mapKeyClass property.

  Returns:
    possible object is `JaxbMapKeyClass`

### setMapKeyClass

    public void setMapKeyClass(JaxbMapKeyClass value)

  Sets the value of the mapKeyClass property.

  Parameters:
    `value` - allowed object is `JaxbMapKeyClass`

### getMapKeyTemporal

    public JaxbTemporalType getMapKeyTemporal()

  Gets the value of the mapKeyTemporal property.

  Returns:
    possible object is `JaxbTemporalType`

### setMapKeyTemporal

    public void setMapKeyTemporal(JaxbTemporalType value)

  Sets the value of the mapKeyTemporal property.

  Parameters:
    `value` - allowed object is `JaxbTemporalType`

### getMapKeyEnumerated

    public JaxbEnumType getMapKeyEnumerated()

  Gets the value of the mapKeyEnumerated property.

  Returns:
    possible object is `JaxbEnumType`

### setMapKeyEnumerated

    public void setMapKeyEnumerated(JaxbEnumType value)

  Sets the value of the mapKeyEnumerated property.

  Parameters:
    `value` - allowed object is `JaxbEnumType`

### getMapKeyAttributeOverride

    public List<JaxbAttributeOverride> getMapKeyAttributeOverride()

  Gets the value of the mapKeyAttributeOverride property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the mapKeyAttributeOverride property.

  For example, to add a new item, do as follows:

          getMapKeyAttributeOverride().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbAttributeOverride`

### getMapKeyJoinColumn

    public List<JaxbMapKeyJoinColumn> getMapKeyJoinColumn()

  Gets the value of the mapKeyJoinColumn property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the mapKeyJoinColumn property.

  For example, to add a new item, do as follows:

          getMapKeyJoinColumn().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbMapKeyJoinColumn`

### getJoinTable

    public JaxbJoinTable getJoinTable()

  Gets the value of the joinTable property.

  Returns:
    possible object is `JaxbJoinTable`

### setJoinTable

    public void setJoinTable(JaxbJoinTable value)

  Sets the value of the joinTable property.

  Parameters:
    `value` - allowed object is `JaxbJoinTable`

### getCascade

    public JaxbCascadeType getCascade()

  Gets the value of the cascade property.

  Returns:
    possible object is `JaxbCascadeType`

### setCascade

    public void setCascade(JaxbCascadeType value)

  Sets the value of the cascade property.

  Parameters:
    `value` - allowed object is `JaxbCascadeType`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getTargetEntity

    public String getTargetEntity()

  Gets the value of the targetEntity property.

  Returns:
    possible object is `String`

### setTargetEntity

    public void setTargetEntity(String value)

  Sets the value of the targetEntity property.

  Parameters:
    `value` - allowed object is `String`

### getFetch

    public JaxbFetchType getFetch()

  Gets the value of the fetch property.

  Returns:
    possible object is `JaxbFetchType`

### setFetch

    public void setFetch(JaxbFetchType value)

  Sets the value of the fetch property.

  Parameters:
    `value` - allowed object is `JaxbFetchType`

### getAccess

    public JaxbAccessType getAccess()

  Gets the value of the access property.

  Returns:
    possible object is `JaxbAccessType`

### setAccess

    public void setAccess(JaxbAccessType value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `JaxbAccessType`

### getMappedBy

    public String getMappedBy()

  Gets the value of the mappedBy property.

  Returns:
    possible object is `String`

### setMappedBy

    public void setMappedBy(String value)

  Sets the value of the mappedBy property.

  Parameters:
    `value` - allowed object is `String`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.